Interactive API explorer for simulated trading, options, and market data
Sign up and generate your API key from the dashboard
Start with fetching the current price of BTC-USD
Browse our comprehensive OpenAPI documentation below
// Get current price
const response = await fetch('https://api.cryptonyk.com/price/BTC-USD');
const data = await response.json();
console.log(data.price);GET /price/:symbol - Current priceGET /candles/:symbol - OHLCV candlesGET /orderbook/:symbol - Order book depthGET /stream - Real-time price stream (SSE)POST /paper/orders - Place orderGET /paper/orders - List ordersGET /paper/positions - View positionsGET /paper/fills - Order fillsGET /options/chain - Options chainGET /options/quote - Option quotePOST /options/orders - Place option orderGET /options/positions - Options positionsPOST /options/exercise - Exercise optionGET /options/greeks - Greeks exposurePOST /algos/twap - TWAP executionGET /recurring-buys - DCA strategiesGET /social/stats - Copy tradingGET /tax/form8949 - Tax reportsDownload the OpenAPI specs to use with tools like Postman, Insomnia, or code generators
Cryptonyk API uses API keys for authentication. Include your API key in the Authorization header:
Authorization: Bearer YOUR_API_KEY| Tier | Requests/Minute | Requests/Hour |
|---|---|---|
| Free | 60 | 1,000 |
| Pro | 300 | 10,000 |
| Enterprise | Unlimited | Unlimited |
npm install @cryptonyk/sdkpip install cryptonykgo get github.com/cryptonyk/sdk-gocargo add cryptonyk